<?php
/********************************************************/
/* NSN Your Account                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.fr                            */
/* Original Script www.nukescripst.net                  */
/* Copyright © 2000-2005 by NukeScripts Network         */
/* ==================================================== */
/* Based from:                                          */
/* PHP-NUKE: Web Portal System                          */
/********************************************************/
defined('IN_YA') OR die ('Access denied passlost MAXIMUS directly...');
defined('MAXIMUS') OR header("Location: index.php");

    if (!defined('USER_ALLOW')) {
        incoh();
        title(_USERREGLOGIN);
        if ($ya_config['servermail'] ==0) {
            Max_OpenTable();
            echo "<b>"._PASSWORDLOST."</b>\n";
	    br('2');
            echo ""._NOPROBLEM."\n";
	    br('2');
            echo "<form action=\"modules.php?name=$module_name\" method=\"post\">\n";
            echo "<table border=\"0\">\n";
            echo "<tr><td align='right'>"._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"15\" maxlength=\"25\"></td></tr>\n";
            echo "<tr><td colspan='2' align='center'><b>--"._OR."--</b></td></tr>\n";
            echo "<tr><td align='right'>"._EMAIL.":</td><td><input type=\"text\" name=\"user_email\" size=\"15\" maxlength=\"50\"></td></tr>\n";
            echo "<tr><td>"._CONFIRMATIONCODE.":</td><td><input type=\"text\" name=\"code\" size=\"11\" maxlength=\"10\"></td></tr></table><br />\n";
            echo "<input type=\"hidden\" name=\"op\" value=\"mailpasswd\">\n";
            echo "<input type=\"submit\" value=\""._SENDPASSWORD."\"></form><br />\n";
            echo "<center><font class=\"content\">[ <a href=\"modules.php?name=$module_name\">"._USERLOGIN."</a> | <a href=\"modules.php?name=$module_name&amp;op=new_user\">"._REGNEWUSER."</a> ]</font></center>\n";
            Max_CloseTable();
        } else {
            title(_SERVERNOMAIL);
        }
        incof();
    } elseif(defined('USER_ALLOW')) {
        global $cookie;
        cookiedecode($user);
        redirect_url("modules.php?name=$module_name&op=userinfo&username=$cookie[1]");
    }